using System;

namespace Syntriax.Modules.ToggleState
{
    public interface IToggleState
    {
        bool IsToggled { get; set; }

        /// <summary>
        /// Called everytime the IsToggled field is changed
        /// </summary>
        /// <value>The new value of IsToggled</value>
        Action<bool> OnToggleStateChanged { get; set; }
    }
}
